Bug 88889 - starwars xscreensaver can freeze video card
starwars xscreensaver can freeze video card
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-15 07:01 EDT by Michael Young
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 17:43:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X configuration (3.56 KB, text/plain)
2003-04-23 11:40 EDT, Michael Young
no flags Details
messages file (16.89 KB, text/plain)
2003-04-23 11:42 EDT, Michael Young
no flags Details
X log file (30.93 KB, text/plain)
2003-04-23 11:43 EDT, Michael Young
no flags Details

  None (edit)
Description Michael Young 2003-04-15 07:01:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The starwars xscreensaver can jam the screen after a few minutes when the visual
setting is set to "GL" (which I suspect is the default). What happens on my
machine is that the words stop moving, and nothing except a reboot can change
what is on the screen. The system can still be connected to remotely, and the
sysrq keys generate entries in the log files, so the keyboard is okay. Killing X
etc doesn't make any difference. There is nothing unusual in the XFree or
message logs, so I suspect something in the screensaver is causing my video card
to freeze. Running the screensaver with the visual setting at "any" avoids the
problem. The video card details are

00:02.0 VGA compatible controller: Intel Corp. 82815 CGC [Chipset Graphics
Controller] (rev 02) (prog-if 00 [VGA])
        Subsystem: Intel Corp.: Unknown device 4541
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 10
        Region 0: Memory at d0000000 (32-bit, prefetchable) [size=64M]
        Region 1: Memory at d4100000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

I tried without success on reproduce this problem on a different machine.

Version-Release number of selected component (if applicable):
xscreensaver-4.07-2 XFree86-4.3.0-2.1

Steps to Reproduce:
1. Set the screensaver to starwars (visual setting=GL)
2. wait
Comment 1 Mike A. Harris 2003-04-21 10:29:27 EDT
XFree86 log + config file + kernel messages log as file attachments please.
Comment 2 Michael Young 2003-04-23 11:40:41 EDT
Created attachment 91248 [details]
X configuration
Comment 3 Michael Young 2003-04-23 11:42:05 EDT
Created attachment 91249 [details]
messages file
Comment 4 Michael Young 2003-04-23 11:43:26 EDT
Created attachment 91250 [details]
X log file
Comment 5 Need Real Name 2003-06-02 11:58:48 EDT
I had the same problem when running my screensaver as a non-priveleged (non-
root) user.  None of my X or screensaver configuration settings have been 
altered from the default Red Hat Linux 9 distribution.

******************************************************************************

Here are my card details:

00:02.0 VGA compatible controller: Intel Corp. 82845G/GL [Brookdale-G] Chipset 
I
ntegrated Graphics Device (rev 01) (prog-if 00 [VGA])
        Subsystem: IBM: Unknown device 0267
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Step
ping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at 88000000 (32-bit, prefetchable) [size=128M]
        Region 1: Memory at 80000000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: [d0] Power Management version 1
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-
,D3hot
-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

******************************************************************************

I also noticed this error in the XFree log file:

drmOpenDevice: minor is 0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenDevice: minor is 0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: open result is -1, (No such device)
drmOpenDevice: Open failed
drmOpenDevice: minor is 0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 7, (OK)
drmGetBusid returned ''

******************************************************************************

My XF86Config section for the DRI is:

Section "DRI"
        Group        0
        Mode         0666
EndSection

Comment 6 Mike A. Harris 2004-09-29 17:43:34 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  We
encourage you to upgrade to the latest version of Fedora Core
(http://fedora.redhat.com).

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.
Comment 7 Michael Young 2004-10-05 12:42:25 EDT
It looks like the bug has actually been fixed at some point; my
current settings should cause the problem eventually if it was still
there, but I haven't had any reoccurence.
Comment 8 Mike A. Harris 2004-10-06 00:26:08 EDT
Ok, thanks for the update!

Note You need to log in before you can comment on or make changes to this bug.